Subject: Re: linux-next: build failure after merge of the block tree

From: Jens Axboe <[email-masked]>
Date: Sun, 22 May 2022 20:52:08 -0600

On 5/22/22 8:49 PM, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the block tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/md/bcache/btree.c: In function 'bch_btree_check':
> drivers/md/bcache/btree.c:2073:1: error: the frame size of 2184 bytes is larger than 2048 bytes [-Werror=frame-larger-than=]
>  2073 | }
>       | ^
> 
> Caused by commit
> 
>   c766acd3d78e ("bcache: improve multithreaded bch_btree_check()")
> 
> struct btree_check_state is very large to put on the stack :-(
> 
> I have reverted that commit for today.

Thanks, I'll drop it. It's not part of the initial request sent to
Linus, exactly because it arrived late.

Coly, I'm dropping this series.

-- 
Jens Axboe